Skip to content
POST/{organizationId}/{mandateId}/crm/rules/list

List rules

Returns a list of CRM rules for a given mandate

Required permissions:

  • mandate.read

  • contactRule.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

limitintegeroptional

Default: 50

minimum: 0

maximum: 100

offsetintegeroptional

Default: 0

minimum: 0

maximum: 9007199254740991

returnCountbooleanoptional

Default: false

searchTermstringoptional

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/crm/rules/list
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/rules/list' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "sort": {},
  "limit": 50,
  "offset": 0
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

countintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "count": 0,
  "rules": [
    {
      "_id": "000000000000000000000001",
      "name": "string",
      "mandate": "000000000000000000000001",
      "contactType": "member",
      "contactSegments": [
        "string"
      ],
      "trigger": {
        "type": "created",
        "rrule": null
      },
      "executionsCount": 0,
      "lastExecutedAt": "2026-06-15T22:30:00Z",
      "schedule": "string",
      "actions": [
        {
          "id": "string",
          "name": "string",
          "type": "sendContactEmail",
          "condition": {
            "operator": "and",
            "conditions": [
              null
            ]
          },
          "emailTexts": {
            "subject": "string",
            "message": "string"
          },
          "expressaTemplate": "000000000000000000000001",
          "attachments": [
            {
              "resource": "string",
              "id": "string"
            }
          ],
          "mailingTags": "string",
          "alternateCommunications": true
        }
      ]
    }
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}